/*
 * @Author: hexiaokang
 * @Date:   2019-03-08
 * @comment: 大浣熊激光笔插件
 */
var openlaserLight = false;//是否开启激光笔
var screenWidth = null
var screenHeight = null
var bodyEle = document.getElementsByTagName('body')[0]
var divEle = produceLaserEle()
bodyEle.appendChild(divEle)

bodyEle.onmousemove = function(event){
	if(!openlaserLight){return}
	var light = document.getElementById('laserLightEle')
	light.style.display = 'block'
	light.style.left = '0px'
	light.style.top = '0px'
	bodyEle.style.cursor = 'none'
	var left = event.clientX +'px'
	var top = event.clientY+'px'
	light.style.transform = 'translate(' + left + ',' + top + ')'

	console.log('宽度', screenWidth)
	console.log('高度', screenHeight)
	console.log('x', left)
	console.log('y', top)
	console.log(event.clientY)
	console.log('light.style.transform')

	var clientRect = document.body.getBoundingClientRect()
      screenWidth = clientRect.width || 1334
      screenHeight = clientRect.height || 560

	var yPercentage = event.clientY/screenHeight
	var xPercentage = event.clientX/screenWidth

	messageBridge.invokeMethod('onJsCommand', {
		0: JSON.stringify({
			name: "laserlight",
			data: {
				dataType: 1,
				content: {
					yPercentage:yPercentage,
					xPercentage:xPercentage,
					radius: 10
				}
			}
		})
	})
}

//生成光标元素
function produceLaserEle(){
	var divEle = document.createElement('div')
	divEle.style.width = '12px'
	divEle.style.height = '12px'
	divEle.style.borderRadius = '100%'
	divEle.style.position = 'absolute'
	divEle.style.display = 'none'
	divEle.style.background = "red"
	// divEle.style.background = '-webkit-radial-gradient(50% 50%, closest-side,#DF0101,#F8E0E0)'
	divEle.setAttribute('id','laserLightEle')
	return divEle
}
//注册操作指令接口
winBridge.addMethod("jsTeachingCmd", function(_obj){
    if (_obj.cmdType == 1){
		openlaserLight = true
    }else{
      openlaserLight = false
		  bodyEle.style.cursor = 'default'
		  document.getElementById('laserLightEle').style.display = 'none'
    }
})

//注册学生端渲染接口
// ios android 会调用这个方法
messageBridge.addMethod('jsCommand', function(str){
    console.log('返回数据', str)
	var tempData = JSON.parse(str.data);
    if (tempData.data.dataType == 1) {
		var laserLightEleStu = document.getElementById('laserLightEle')
 		if(!laserLightEleStu){
 			var ele = produceLaserEle()
 			ele.style.display = 'block'
			document.getElementsByTagName('body')[0].appendChild(ele)
		 }
		laserLightEleStu.style.display= 'block'
		var clientRect = document.body.getBoundingClientRect()
		screenWidth = clientRect.width || 1334
		screenHeight = clientRect.height || 560
		var jsComLeft = (screenWidth*tempData.data.content.xPercentage)+'px'
		var jsComTop = (screenHeight*tempData.data.content.yPercentage) - screenHeight +'px'
			console.log(jsComLeft)
			console.log(jsComTop)
		laserLightEleStu.style.transform = 'translate(' +  jsComLeft + ',' +  jsComTop + ')'
    }  
})