/*
 * @Author: hexiaokang
 * @Date:   2019-03-08
 * @comment: 大浣熊文本输入插件
 */
var openInputText = false;//是否开启输入
var screenWidth = null
var screenHeight = null
	
document.getElementsByTagName('body')[0].onclick = function(event){
	if(!openInputText){return}
	var canEdit = event.target.getAttribute('contenteditable')
	var parentCanEdit = event.target.parentNode.getAttribute('contenteditable')
	var contenteditableDivs = document.getElementsByClassName('contenteditable-div')
	blurAllInput()
	if (canEdit||parentCanEdit) {
		return
	}
	var isInputChinese = false //检测是否正在输入中文
	var divElement = produceDivElement()
	var clientX = event.clientX
	var clientY = event.clientY
	divElement.style.top = (clientY - 15) + 'px'
	divElement.style.left = clientX + 'px'
	divElement.onblur = function(data){
		saveInputText({
			text: data.target.innerHTML,
			x: clientX,
			y: clientY
		})
	}
	/*divElement.onkeyup = function(data){
		if(!isInputChinese){
			saveInputText({
				text: data.target.innerHTML,
				x: clientX,
				y: clientY
			})
		}
	}*/
	divElement.onkeydown = function (event){
		if(event.keyCode == 13){
			event.target.style.lineHeight = '25px'
		}
	}
	document.body.appendChild(divElement)
	$(divElement).focus()

	//上传数据至win端
	function saveInputText(data){
		var clientRect = document.body.getBoundingClientRect()
		screenWidth = clientRect.width || 1334
		screenHeight = clientRect.height || 560
		data.xPercentage = data.x / screenWidth
		data.yPercentage = data.y / screenHeight
		if(!data.text){return}
		messageBridge.invokeMethod('onJsCommand',{
			0: JSON.stringify({
				name: "textinput",
				data: {
					dataType: 3,
					content: data
				}
			})
		})
	}
	//取消所有输入框
	function blurAllInput(){
		for(var divIndex = 0;divIndex<contenteditableDivs.length;divIndex++){
			var currentDiv = contenteditableDivs[divIndex]
			contenteditableDivs[divIndex].style.border = 'none'
		}
	}

	//生成DIV元素
	function produceDivElement(){
		var divElement = document.createElement('div')
		var divStyle = {
			position: 'fixed',
			top: '10px',
			left: '0px',
			minWidth: '10px',
			minHeight: '35px',
			lineHeight: '35px'
		}
		divElement.setAttribute('contenteditable', true)
		divElement.setAttribute('class', 'contenteditable-div')
		for (var _styleKey in divStyle) {
			divElement.style[_styleKey] = divStyle[_styleKey]
		}
		return divElement
	}
}

//注册操作指令接口
winBridge.addMethod("jsTeachingCmd", function(_obj){
    if (_obj.cmdType == 3){
        openInputText = true
    }else{
        openInputText = false
        document.activeElement = null
	}
	if(_obj.cmdType == 4){
		// delTextInput()
	}
});

messageBridge.addMethod('jsCommand', function(str){
    console.log('返回数据', str)
	var tempData = JSON.parse(str.data);
    if (tempData.data.dataType == 3) {
		var divELe = productTextInput(tempData.data)
		document.body.appendChild(divELe)
    }  
})

function productTextInput(data){
	var divELe = document.createElement('div')
		var divStyle = {
			position: 'fixed',
			top: '10px',
			left: '0px',
			minWidth: '10px',
			minHeight: '35px',
			lineHeight: '35px'
		}
		divELe.setAttribute('contenteditable', true)
		divELe.setAttribute('class', 'contenteditable-div')
		for (var _styleKey in divStyle) {
			divELe.style[_styleKey] = divStyle[_styleKey]
		}
		var clientRect = document.body.getBoundingClientRect()
		screenWidth = clientRect.width || 1334
		screenHeight = clientRect.height || 560
		divELe.style.border = 'none'
    	divELe.style.left = screenWidth*data.content.xPercentage + 'px'
    	divELe.style.top = screenHeight*data.content.yPercentage + 'px'
    	divELe.style.lineHeight = 25 + 'px'
    	divELe.innerHTML = data.content.text
		divELe.setAttribute('contenteditable',null)
	return divELe
}

  